Bug 11148 - [830M 810] bad mode at startup
Summary: [830M 810] bad mode at startup
Status: RESOLVED DUPLICATE of bug 13722
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Hong Liu
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
: 11149 11150 11151 (view as bug list)
Depends on:
Blocks: 11208 13027 13493
  Show dependency treegraph
 
Reported: 2007-06-05 02:08 UTC by gerrit
Modified: 2008-02-04 17:09 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
log from using the 'broken for me' 2.1.0-1 Intel driver (200.50 KB, text/plain)
2007-07-09 10:16 UTC, Carol Spears
no flags Details
/etc/X11/xorg.conf and /var/log/Xorg.0.log, Debian Unstable (20.50 KB, text/plain)
2007-07-13 07:15 UTC, Sketch
no flags Details
Xorg.0.log (36.54 KB, text/plain)
2007-11-01 08:54 UTC, gerrit
no flags Details
Xorg.0.log with Option "ModeDebug" "YES" enabled (78.62 KB, text/x-log)
2007-11-07 02:42 UTC, gerrit
no flags Details
test patch (1.31 KB, patch)
2007-12-16 19:58 UTC, Hong Liu
no flags Details | Splinter Review
Xorg.0.log with applied patch (79.45 KB, text/plain)
2007-12-17 02:16 UTC, gerrit
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gerrit 2007-06-05 02:08:11 UTC
I have a laptop with i830m and 1024x768 default resolution. When using the new intel driver I just get a blank screen. Watching at Xorg.0.log, the intel driver seems to ignore the default resolution specified in xorg.conf and uses instead 1152x768. X is not crashing and I can hear the sound when Kde starts. Using the old i810 driver I have no problems at all with my laptop display, but I want to attach a 1680x1050 external monitor and this is not possible with the old driver.

Attached Xorg.0.log:

_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/bluebird:0
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6

X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Slackware 12.0 Slackware Linux Project
Current Operating System: Linux bluebird 2.6.20.2 #1 Tue Mar 13 20:02:30 CET 2007 i686
Build Date: 15 May 2007
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jun  5 10:42:27 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Simple Layout"
(**) |-->Screen "Screen 1" (0)
(**) |   |-->Monitor "My Monitor"
(**) |   |-->Device "** Intel i810 (generic)               [i810]"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard1"
(**) FontPath set to:
	/usr/share/fonts/TTF,
	/usr/share/fonts/OTF,
	/usr/share/fonts/Type1,
	/usr/share/fonts/misc,
	/usr/share/fonts/75dpi/:unscaled,
	/usr/lib/X11/fonts/misc/,
	/usr/lib/X11/fonts/75dpi/:unscaled,
	/usr/lib/X11/fonts/100dpi/:unscaled,
	/usr/lib/X11/fonts/Speedo/,
	/usr/lib/X11/fonts/Type1/,
	/usr/lib/X11/fonts/TTF/,
	/usr/lib/X11/fonts/OTF/,
	/usr/lib/X11/fonts/cyrillic/,
	/usr/lib/X11/fonts/75dpi/,
	/usr/lib/X11/fonts/100dpi/
(==) RgbPath set to "/usr/share/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81de020
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.2
	X.Org XInput driver : 0.7
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3575 card 1179,ff00 rev 04 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 8086,3577 card 1179,ff00 rev 04 class 03,00,00 hdr 80
(II) PCI: 00:02:1: chip 8086,3577 card 1179,ff00 rev 00 class 03,80,00 hdr 80
(II) PCI: 00:1d:0: chip 8086,2482 card 1179,ff00 rev 02 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,2484 card 1179,ff00 rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,2487 card 1179,ff00 rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 42 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,248c card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,248a card 1179,ff00 rev 02 class 01,01,8a hdr 00
(II) PCI: 00:1f:3: chip 8086,2483 card 1179,ff00 rev 02 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2485 card 1179,ff00 rev 02 class 04,01,00 hdr 00
(II) PCI: 00:1f:6: chip 8086,2486 card 1179,0001 rev 02 class 07,03,00 hdr 00
(II) PCI: 02:04:0: chip 1217,6933 card 3001,0000 rev 01 class 06,07,00 hdr 82
(II) PCI: 02:04:1: chip 1217,6933 card 3801,0000 rev 01 class 06,07,00 hdr 82
(II) PCI: 03:00:0: chip 1033,0035 card 1033,1735 rev 43 class 0c,03,10 hdr 80
(II) PCI: 03:00:1: chip 1033,0035 card 1033,1033 rev 43 class 0c,03,10 hdr 00
(II) PCI: 03:00:2: chip 1033,00e0 card 1735,00e0 rev 04 class 0c,03,20 hdr 00
(II) PCI: 07:00:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,7), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,10), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[1] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
	[2] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[3] -1	0	0x00003c00 - 0x00003cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0x38000000 - 0x41ffffff (0xa000000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0x30000000 - 0x37ffffff (0x8000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:4:0), (2,3,6), BCTRL: 0x0500 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[1] -1	0	0x00003400 - 0x000034ff (0x100) IX[B]
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0x38000000 - 0x3bffffff (0x4000000) MX[B]
(II) Bus 3 prefetchable memory range:
	[0] -1	0	0x30000000 - 0x33ffffff (0x4000000) MX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 7: bridge is at (2:4:1), (2,7,10), BCTRL: 0x0500 (VGA_EN is cleared)
(II) Bus 7 I/O range:
	[0] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[1] -1	0	0x00003c00 - 0x00003cff (0x100) IX[B]
(II) Bus 7 non-prefetchable memory range:
	[0] -1	0	0x3c000000 - 0x3fffffff (0x4000000) MX[B]
(II) Bus 7 prefetchable memory range:
	[0] -1	0	0x34000000 - 0x37ffffff (0x4000000) MX[B]
(--) PCI:*(0:2:0) Intel Corporation 82830 CGC [Chipset Graphics Controller] rev 4, Mem @ 0xe8000000/27, 0xe0000000/19
(--) PCI: (0:2:1) Intel Corporation 82830 CGC [Chipset Graphics Controller] rev 0, Mem @ 0xf0000000/27, 0xe0080000/19
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[1] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[2] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[3] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[4] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[5] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[6] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[7] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[8] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[9] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[10] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[11] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[12] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[13] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[14] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[15] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[16] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[17] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[18] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[19] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[20] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[21] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[22] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[1] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[2] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[3] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[4] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[5] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[6] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[7] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[8] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[9] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[10] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[11] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[12] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[13] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[14] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[15] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[16] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[17] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[18] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[19] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[20] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[21] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[22] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x37ffffff (0x37f00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x37ffffff (0x37f00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[5] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[6] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[7] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[8] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[9] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[10] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[11] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[12] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[16] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[17] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[18] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[19] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[20] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[21] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[22] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[23] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[24] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[25] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[26] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[27] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[28] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.3.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 2.0.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 1.2
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.1.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.7
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.1.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.7
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 965G, 965G, 965Q, 946GZ, 965GM
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset i830M found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x37ffffff (0x37f00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[5] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[6] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[7] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[8] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[9] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[10] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[11] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[12] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[16] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[17] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[18] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[19] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[20] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[21] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[22] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[23] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[24] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[25] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[26] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[27] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[28] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x37ffffff (0x37f00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[5] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[6] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[7] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[8] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[9] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[10] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[11] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[12] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[13] 1	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[14] 1	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[15] 1	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[19] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[20] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[21] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[22] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[23] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[24] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[25] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[26] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[27] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[28] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[29] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[30] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[31] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
	[32] 1	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[33] 1	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.1.0
	ABI class: X.Org Video Driver, version 1.2
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.2
(**) intel(0): Depth 8, (--) framebuffer bpp 8
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is PseudoColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 830M
(--) intel(0): Chipset: "i830"
(--) intel(0): Linear framebuffer at 0xE8000000
(--) intel(0): IO registers at addr 0xE0000000
(II) intel(0): 2 display pipes available.
(==) intel(0): Using XAA for acceleration
(**) intel(0): DRI is disabled because it runs only at depths 16 and 24.
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module already built-in
(II) intel(0): Output VGA using monitor section My Monitor
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): Output TMDS has no monitor section
(II) intel(0): I2C bus "DVODDC_D" initialized.
(II) Loading sub module "sil164"
(II) LoadModule: "sil164"
(II) Loading /usr/lib/xorg/modules/drivers//sil164.so
(II) Module sil164: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(EE) intel(0): detecting sil164
(EE) intel(0): Unable to read from DVOI2C_E Slave 112.
(II) Loading sub module "ch7xxx"
(II) LoadModule: "ch7xxx"
(II) Loading /usr/lib/xorg/modules/drivers//ch7xxx.so
(II) Module ch7xxx: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(EE) intel(0): Unable to read from DVOI2C_E Slave 236.
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVODDC_D" removed.
(II) intel(0): Output VGA connected
(II) intel(0): I2C device "CRTDDC_A:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "CRTDDC_A:ddc2" removed.
(II) intel(0): EDID for output VGA
(II) intel(0): Not using default mode "640x480" (hsync out of range)
(II) intel(0): Not using default mode "800x600" (hsync out of range)
(II) intel(0): Not using default mode "1024x768" (hsync out of range)
(II) intel(0): Not using default mode "1024x768" (hsync out of range)
(II) intel(0): Not using default mode "1024x768" (hsync out of range)
(II) intel(0): Not using default mode "1152x864" (hsync out of range)
(II) intel(0): Not using default mode "1280x960" (hsync out of range)
(II) intel(0): Not using default mode "1280x960" (hsync out of range)
(II) intel(0): Not using default mode "1280x1024" (hsync out of range)
(II) intel(0): Not using default mode "1280x1024" (hsync out of range)
(II) intel(0): Not using default mode "1280x1024" (hsync out of range)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "1792x1344" (hsync out of range)
(II) intel(0): Not using default mode "1792x1344" (hsync out of range)
(II) intel(0): Not using default mode "1856x1392" (hsync out of range)
(II) intel(0): Not using default mode "1856x1392" (hsync out of range)
(II) intel(0): Not using default mode "1920x1440" (hsync out of range)
(II) intel(0): Not using default mode "1920x1440" (hsync out of range)
(II) intel(0): Not using default mode "832x624" (hsync out of range)
(II) intel(0): Not using default mode "1400x1050" (hsync out of range)
(II) intel(0): Not using default mode "1400x1050" (hsync out of range)
(II) intel(0): Not using default mode "1600x1024" (hsync out of range)
(II) intel(0): Not using default mode "1920x1440" (hsync out of range)
(II) intel(0): Not using default mode "2048x1536" (hsync out of range)
(II) intel(0): Not using default mode "2048x1536" (hsync out of range)
(II) intel(0): Not using default mode "2048x1536" (hsync out of range)
(II) intel(0): Printing probed modes for output VGA
(II) intel(0): Modeline "1152x768"x54.8   65.00  1152 1178 1314 1472  768 771 777 806 +hsync +vsync (44.2 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): Output VGA connected
(II) intel(0): Output VGA using initial mode 1152x768
(II) intel(0): Monitoring connected displays enabled
(II) intel(0): detected 128 kB GTT.
(II) intel(0): detected 8060 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Will not try to enable page flipping
(==) intel(0): Triple buffering disabled
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module already built-in
(II) intel(0): Comparing regs from server start up to After PreInit
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 1	0	0xe0000000 - 0xe007ffff (0x80000) MS[B]
	[1] 1	0	0xe8000000 - 0xefffffff (0x8000000) MS[B]
	[2] -1	0	0x00100000 - 0x37ffffff (0x37f00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0x3c000000 - 0x3c0001ff (0x200) MX[B]
	[7] -1	0	0x38002000 - 0x380020ff (0x100) MX[B]
	[8] -1	0	0x38001000 - 0x38001fff (0x1000) MX[B]
	[9] -1	0	0x38000000 - 0x38000fff (0x1000) MX[B]
	[10] -1	0	0xe0100000 - 0xe01003ff (0x400) MX[B]
	[11] -1	0	0xe0080000 - 0xe00fffff (0x80000) MX[B](B)
	[12] -1	0	0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
	[13] -1	0	0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
	[14] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[15] 1	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[16] 1	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[17] 1	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x00003800 - 0x000038ff (0x100) IX[B]
	[21] -1	0	0x00002000 - 0x0000207f (0x80) IX[B]
	[22] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[23] -1	0	0x000018c0 - 0x000018ff (0x40) IX[B]
	[24] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
	[25] -1	0	0x00001880 - 0x0000189f (0x20) IX[B]
	[26] -1	0	0x00001860 - 0x0000186f (0x10) IX[B]
	[27] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[28] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[29] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[30] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[31] -1	0	0x00001840 - 0x0000185f (0x20) IX[B]
	[32] -1	0	0x00001820 - 0x0000183f (0x20) IX[B]
	[33] -1	0	0x00001800 - 0x0000181f (0x20) IX[B]
	[34] 1	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[35] 1	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) intel(0): Kernel reported 110336 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 441340 kB available
(==) intel(0): VideoRam: 131072 KB
(EE) intel(0): [drm] Direct rendering only supported in 16 and 32 bpp modes
(WW) intel(0): xf86AllocateGARTMemory: allocation of 10 pages failed
	(Cannot allocate memory)
(II) intel(0): Allocating 10710 scanlines for pixmap cache
(II) intel(0): Memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00027fff: logical 3D context (32 kB)
(II) intel(0): 0x00028000-0x00037fff: xaa scratch (64 kB)
(II) intel(0): 0x007df000:            end of stolen memory
(II) intel(0): 0x007df000-0x007dffff: Core cursor (4 kB, 0x12d92000 physical)
(II) intel(0): 0x007e0000-0x007e3fff: ARGB cursor (16 kB, 0x1227c000 physical)
(II) intel(0): 0x007e4000-0x007e4fff: Core cursor (4 kB, 0x11991000 physical)
(II) intel(0): 0x007e5000-0x007e8fff: ARGB cursor (16 kB, 0x10878000 physical)
(II) intel(0): 0x007f0000-0x014f8fff: front buffer (13348 kB)
(II) intel(0): 0x08000000:            end of aperture
(II) intel(0): front buffer is not tiled
(WW) intel(0): Disabling Xv because the overlay register buffer allocation failed.
(II) intel(0): Page Flipping disabled
(==) intel(0): Write-combining range (0xe8000000,0x8000000)
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) intel(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x007df000 (pgoffset 2015)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x007e0000 (pgoffset 2016)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x007e4000 (pgoffset 2020)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x007e5000 (pgoffset 2021)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x007f0000 (pgoffset 2032)
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is on
(II) intel(0):   Display plane A is now enabled and connected to pipe A.
(II) intel(0):   Pipe B is off
(II) intel(0):   Display plane B is now disabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe A
(II) intel(0): direct rendering: Disabled
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: DRI module not loaded
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(II) intel(0): Setting screen physical size to 304 x 203
(**) Option "Protocol" "Auto"
(**) Mouse1: Device: "/dev/input/mice"
(**) Mouse1: Protocol: "Auto"
(**) Option "CorePointer"
(**) Mouse1: Core Pointer
(**) Option "Device" "/dev/input/mice"
(==) Mouse1: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5 6 7"
(**) Mouse1: ZAxisMapping: buttons 4, 5, 6 and 7
(**) Mouse1: Buttons: 11
(**) Option "CoreKeyboard"
(**) Keyboard1: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard1: XkbRules: "xorg"
(**) Option "XkbModel" "pc101"
(**) Keyboard1: XkbModel: "pc101"
(**) Option "XkbLayout" "de"
(**) Keyboard1: XkbLayout: "de"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(--) Mouse1: PnP-detected protocol: "ExplorerPS/2"
(II) Mouse1: ps2EnableDataReporting: succeeded
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
(II) Open ACPI successful (/var/run/acpid.socket)
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x007df000 (pgoffset 2015)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x007e0000 (pgoffset 2016)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x007e4000 (pgoffset 2020)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x007e5000 (pgoffset 2021)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x007f0000 (pgoffset 2032)
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is on
(II) intel(0):   Display plane A is now enabled and connected to pipe A.
(II) intel(0):   Pipe B is off
(II) intel(0):   Display plane B is now disabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe A
(II) Mouse1: ps2EnableDataReporting: succeeded
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
Comment 1 gerrit 2007-06-05 02:34:28 UTC
*** Bug 11150 has been marked as a duplicate of this bug. ***
Comment 2 gerrit 2007-06-05 02:34:46 UTC
*** Bug 11151 has been marked as a duplicate of this bug. ***
Comment 3 gerrit 2007-06-05 02:34:59 UTC
*** Bug 11149 has been marked as a duplicate of this bug. ***
Comment 4 gerrit 2007-06-05 02:40:09 UTC
Sorry for spam, it wasn't intended.

If you need help testing, I can always compile the newest git version but until yesterday, the bug still exists in git.
Comment 5 Carol Spears 2007-07-09 10:14:15 UTC
I started to have the same problem here on my desktop with i810 parts of this driver.  I started to use 1.6.5.git20 ("modesetting") and the problem went away.  I understand that my ability to hotplug a running x session has now gone away, but I haven't needed to do this yet.

My log of my last time with the other driver is similar to the one that is here.  I am going to attach it anyways -- one big difference is that there is no acpi and it is a more recent build date and also chipset 945G.
Comment 6 Carol Spears 2007-07-09 10:16:15 UTC
Created attachment 10636 [details]
log from using the 'broken for me' 2.1.0-1 Intel driver
Comment 7 Sketch 2007-07-13 07:15:47 UTC
Created attachment 10712 [details]
/etc/X11/xorg.conf and /var/log/Xorg.0.log, Debian Unstable

Downgrading to the (Debian) Stable xserver-xorg-video-i810 does work, thankfully.
Comment 8 Gordon Jin 2007-09-11 23:32:34 UTC
gerrit, does this still happen with the latest driver? Thanks.
Comment 9 Sérgio Martins 2007-10-02 13:19:48 UTC
Can you try with Option "NoDDC" "True" ?

I think this is related to another bug
Comment 10 gerrit 2007-11-01 08:51:40 UTC
Problem still exists with latest git from today even with Option "NoDDC" "True". Regarding Xorg.0.log default mode is now 

(II) intel(0): Output LVDS using initial mode 1280x768 

I have attached Xorg.0.log. xorg.conf was generated by X -configure.

Comment 11 gerrit 2007-11-01 08:54:10 UTC
Created attachment 12297 [details]
Xorg.0.log
Comment 12 Eric Anholt 2007-11-06 17:35:00 UTC
Could you add Option "ModeDebug" "YES" to the Driver section of xorg.conf?  It may help figuring out why the initial mode is wrong.
Comment 13 gerrit 2007-11-07 02:42:45 UTC
Created attachment 12384 [details]
Xorg.0.log with Option "ModeDebug" "YES" enabled
Comment 14 gerrit 2007-11-08 00:25:31 UTC
I just want to add, that my external 1680x1050 monitor shows its correct resolution.
Comment 15 Hong Liu 2007-12-14 00:18:07 UTC
(In reply to comment #14)
> I just want to add, that my external 1680x1050 monitor shows its correct
> resolution.
> 

Can you post the output of xrandr --verbose? And can you switch LVDS to 1024x768 mode using xrandr on your external monitor?

Thanks,
Hong
Comment 16 gerrit 2007-12-14 03:06:32 UTC
> 
> Can you post the output of xrandr --verbose? And can you switch LVDS to
> 1024x768 mode using xrandr on your external monitor?
> 

"xrandr --verbose -display :0" gives

Screen 0: minimum 320 x 200, current 1280 x 768, maximum 1280 x 1280
VGA disconnected (normal left inverted right)
        Identifier: 0x4c
        Timestamp:  -667037976
        Subpixel:   unknown
        Clones:
        CRTCs:      0
LVDS connected 1280x768+0+0 (0x4f) normal (normal left inverted right) 0mm x 0mm
        Identifier: 0x4d
        Timestamp:  -667037976
        Subpixel:   horizontal rgb
        Clones:
        CRTC:       0
        CRTCs:      0 1
  1280x800 (0x4e)   83.5MHz
        h: width  1280 start 1344 end 1480 total 1680 skew    0 clock   49.7KHz
        v: height  800 start  801 end  804 total  828           clock   60.0Hz
  1280x768 (0x4f)   80.1MHz
        h: width  1280 start 1344 end 1480 total 1680 skew    0 clock   47.7KHz
        v: height  768 start  769 end  772 total  795           clock   60.0Hz
  1024x768 (0x50)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x51)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x52)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz

From console I can switch to 1024x768 native resolution using "xrandr -s 1024x768 -display :0"
Comment 17 Hong Liu 2007-12-16 19:58:16 UTC
Created attachment 13153 [details] [review]
test patch

I am not sure why we got the 1280x768 as the default mode for your panel.
Attached is a patch to print out the mode during we try to find the panel_fix_mode. Would you please apply the patch and provide the xorg.log with modedebug on?

BTW, I think you can workaround this problem by adding preferredmode option:
1. add the following line to your Device section
   Option          "monitor-LVDS" "LVDS"

2. then add a new Monitor section:
Section "Monitor"
        Identifier      "LVDS"
        Option          "PreferredMode" "1024x768"
EndSection

Thanks,
Hong
Comment 18 gerrit 2007-12-17 02:16:34 UTC
Created attachment 13157 [details]
Xorg.0.log with applied patch
Comment 19 gerrit 2007-12-17 02:25:15 UTC
(In reply to comment #17)

> BTW, I think you can workaround this problem by adding preferredmode option:
> 1. add the following line to your Device section
>    Option          "monitor-LVDS" "LVDS"
> 
> 2. then add a new Monitor section:
> Section "Monitor"
>         Identifier      "LVDS"
>         Option          "PreferredMode" "1024x768"
> EndSection
> 
> Thanks,
> Hong
> 

The workaround did the trick. Thanks Hong Liu!
Comment 20 Michael Fu 2007-12-25 00:27:43 UTC
re-assign to hong to check log in comment# 18.
Comment 21 Hong Liu 2008-01-22 21:25:35 UTC
(In reply to comment #18)
> Created an attachment (id=13157) [details]
> Xorg.0.log with applied patch
> 

Hi, gerrit

Sorry for the long latency...

After examining your log, I found the problem is our driver use DVOC as the output port for LVDS while it seems the vbios use DVOB as the output.

So during driver startup, it will try to find a panel_fix_mode as the preferred mode. Because DVOC is not enabled at that time, so we can't find a init mode for your LVDS panel. Thus X server picks one mode at startup which is not usable for your machine.


This is just a test patch to see if we can enable your LVDS on SDVOB, if it succeeds, then we can get a usable init mode at startup.

diff --git a/src/i830_dvo.c b/src/i830_dvo.c
index e6ff6af..e7342b0 100644
--- a/src/i830_dvo.c
+++ b/src/i830_dvo.c
@@ -83,7 +83,7 @@ struct _I830DVODriver i830_dvo_drivers[] =
 	.type = I830_OUTPUT_DVO_LVDS,
 	.modulename = "ivch",
 	.fntablename = "ivch_methods",
-	.dvo_reg = DVOA,
+	.dvo_reg = DVOB,
 	.address = 0x04, /* Might also be 0x44, 0x84, 0xc4 */
 	.symbols = ivch_symbols
     },

Comment 22 gerrit 2008-01-23 04:30:42 UTC
(In reply to comment #21)

> This is just a test patch to see if we can enable your LVDS on SDVOB, if it
> succeeds, then we can get a usable init mode at startup.
> 
> diff --git a/src/i830_dvo.c b/src/i830_dvo.c
> index e6ff6af..e7342b0 100644
> --- a/src/i830_dvo.c
> +++ b/src/i830_dvo.c
> @@ -83,7 +83,7 @@ struct _I830DVODriver i830_dvo_drivers[] =
>         .type = I830_OUTPUT_DVO_LVDS,
>         .modulename = "ivch",
>         .fntablename = "ivch_methods",
> -       .dvo_reg = DVOA,
> +       .dvo_reg = DVOB,
>         .address = 0x04, /* Might also be 0x44, 0x84, 0xc4 */
>         .symbols = ivch_symbols
>      },
> 

Just changing an "A" for a "B" and everything works! 非常感谢你,Hong Liu! I would say, this bug can finally be closed! :)

Comment 23 Michael Fu 2008-01-29 22:26:30 UTC
re-assign back to hong for conclusion.
Comment 24 Hong Liu 2008-01-29 23:41:34 UTC
(In reply to comment #22)
> Just changing an "A" for a "B" and everything works! 非常感谢你,Hong
> Liu! I would say, this bug can finally be closed! :)
> 

You are welcome :) I need to check whether the change is OK on other platforms that use DVO LVDS.

Thanks,
Hong

Comment 25 Hong Liu 2008-02-04 17:09:38 UTC
Mark this bug as a duplicate of 13722, the root cause is the same.

*** This bug has been marked as a duplicate of bug 13722 ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.